Skip to main content
`Ctrl`+`K`
scipy.spatial.transform.RigidTransform.

# as_exp_coords

RigidTransform.as_exp_coords(self)

  Return the exponential coordinates of the transform.

  This implements the logarithmic map that converts SE(3) to 6-dimensional real vectors.

  This is an inverse of `from_exp_coords` where details on the mapping can be found.

  Returns:
    exp_coords numpy.ndarray, shape (N, 6) or (6,)

      A single exponential coordinate vector or a stack of exponential coordinate vectors. The first three components define the rotation and the last three components define the translation.

  Examples

      >>> from scipy.spatial.transform import RigidTransform as Tf
      >>> import numpy as np

  Get exponential coordinates of the identity matrix:

      >>> Tf.identity().as_exp_coords()
      array([0., 0., 0., 0., 0., 0.])